import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtQuick.Controls.Material

Page {
    id: notesPage

    width: SwipeView.view.width
    height: SwipeView.view.height

    header: ToolBar {
        background: Rectangle { color: Material.background }
        RowLayout {
            anchors.fill: parent

            ToolButton {
                id: sortButton
                icon.source: `data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg"><path d="M120-240v-80h240v80H120Zm0-200v-80h480v80H120Zm0-200v-80h720v80H120Z"/></svg>`
                icon.color: Material.foreground
                icon.height: 10
                icon.width: 10
                Layout.alignment: Qt.AlignRight
                ToolTip.visible: pressed
                ToolTip.text: "Work in progress"
            }
        }
    }

    SiteInConstruction {}
}
